# Uses of Interface
org.apache.sling.discovery.InstanceDescription

## Uses of InstanceDescription in org.apache.sling.discovery

Methods in org.apache.sling.discovery that return InstanceDescription
Modifier and Type
Method
Description
`InstanceDescription`
ClusterView.`getLeader()`
Provides the InstanceDescription belonging to the leader instance.
`InstanceDescription`
TopologyView.`getLocalInstance()`
Provides the InstanceDescription belonging to this instance.
Methods in org.apache.sling.discovery that return types with arguments of type InstanceDescription
Modifier and Type
Method
Description
`Set<InstanceDescription>`
TopologyView.`findInstances(InstanceFilter filter)`
Searches through this topology and picks those accepted by the provided `InstanceFilter` - and returns them without any particular order
`List<InstanceDescription>`
ClusterView.`getInstances()`
Provides the list of InstanceDescriptions with a stable ordering.
`Set<InstanceDescription>`
TopologyView.`getInstances()`
Provides the set of InstanceDescriptions in the entire topology, without any particular order
Methods in org.apache.sling.discovery with parameters of type InstanceDescription
Modifier and Type
Method
Description
`boolean`
InstanceFilter.`accept(InstanceDescription instance)`
Returns true if this InstanceFilter selects the given InstanceDescription.